<script setup lang="ts">
import { ref } from "vue";
import { useTableStore } from "@/stores/Table/tables";

const tableStore = useTableStore();
</script>

<template>
  <v-row justify="center">
    <v-dialog
      v-model="tableStore.qrCodeDialog"
      persistent
      transition="dialog-bottom-transition"
      width="400px"
    >
      <v-card>
        <v-card-title>
          <span class="text-h5">QR Code</span>
        </v-card-title>

        <v-img
          cover
          max-height="auto"
          src="../../../public/images/qrcode_example.png"
        ></v-img>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="blue-darken-1"
            variant="text"
            @click="tableStore.qrCodeDialog = false"
          >
            Close
          </v-btn>
          <v-btn
            color="blue-darken-1"
            variant="text"
            @click="tableStore.qrCodeDialog = false"
          >
            Save
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
